package sample.control;


public class PhoneController {
	private PhoneControllerContext _fsm;

	private String _dialingNumber;
	private String _incomingCallNumber;
	private long _startTime;
	private long _endTime;

	public PhoneController() {
		_fsm = new PhoneControllerContext(this);
	}

	public String getAnsweringDuration() {
		return ((_endTime - _startTime)/1000) + "s";
	}

	public void logStartTime() {
		_startTime = System.currentTimeMillis();
	}

	public void logEndTime() {
		_endTime = System.currentTimeMillis();
	}

	public void dial(String aNumber) {
		_dialingNumber = aNumber;
		_fsm.dial(aNumber);
	}

	public void haveCall(String aNumber) {
		_incomingCallNumber = aNumber;
		_fsm.haveCall(aNumber);
	}

	public String getDialingNumber() {
		return this._dialingNumber;
	}

	public String getIncomingCallNumber() {
		return this._incomingCallNumber;
	}
    public PhoneControllerContext getContext() {
        return _fsm;
    }

    public void makeCall() {
        _fsm.makeCall();
    }

    public void cancelCall() {
        _fsm.cancelCall();
    }

    public void callSuccess() {
        _fsm.callSuccess();
    }

    public void answer() {
        _fsm.answer();
    }

    public void callFinished() {
        _fsm.callFinished();
    }

    public void noAnswer() {
        _fsm.noAnswer();
    }

    public void callFailure() {
        _fsm.callFailure();
    }

}