package sample.ui;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JPanel;

public class Keypad extends JPanel{
	private javax.swing.JButton[] _numberKeys = new javax.swing.JButton[12];
	private java.awt.event.ActionListener _keyPressActionListener = new java.awt.event.ActionListener() {
		public void actionPerformed(ActionEvent e) {
			String key = ((JButton)e.getSource()).getText();
			_display.setText(_display.getText()+key);
		};
	};
	private Display _display;

	public  Keypad(Display aDisplay) {
		_display = aDisplay;
		initUI();
	}

	private void initUI() {
		setLayout(new GridLayout(4, 3, 5, 5));
		
		for (int i=0;i<_numberKeys.length;i++) {
			String label = (i+1)+"";
			if (i==9)
				label = "*";
			else if (i==10)
				label = "0";
			else if (i==11)
				label = "#";
			
			_numberKeys[i] = new JButton(label);
			_numberKeys[i].addActionListener(_keyPressActionListener);
			add(_numberKeys[i]);
		}
		setBorder(BorderFactory.createTitledBorder("Keypad"));
	}

	public void setEnabled(boolean aEnabled) {
		super.setEnabled(aEnabled);
		for (int i=0;i<_numberKeys.length;i++)
			_numberKeys[i].setEnabled(aEnabled);
	}
}