package sample.ui;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import sample.control.PhoneController;
import sample.control.State;
import sample.control.StateChangeListener;

public class PhoneControllerLogger extends JFrame{
	private javax.swing.JTextArea _area;
	private PhoneController _controller;
	
	public  PhoneControllerLogger(PhoneController aController) {
		super("State Logger");
		_controller = aController;
		initUI();
		_controller.getContext().addStateChangeListener(new StateChangeListener() {
		
			public void stateChanged(State aOldState, State aNewState) {
				String oState = aOldState.getName();
				if (oState.indexOf('.') > 0)
					oState = oState.substring(oState.lastIndexOf('.')+1);
				
				String nState = aNewState.getName();
				if (nState.indexOf('.') >0)
					nState = nState.substring(nState.lastIndexOf('.')+1);
				
				_area.append("Stage Changed ["+ oState +"] => ["+ nState +"]\n");
			}
		
		});
	}

	private void initUI() {
		_area = new JTextArea();
		_area.setEditable(false);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		getContentPane().add(new JScrollPane(_area));
	}
}